import request from '../utils/request'

//提交工单
export function getSubmitTicket(data) {
    return request({
      url: `pool/ticket/submitTicket`,
      method: 'post',
      data
    })
  }

  //工单继续提交
export function getResubmitTicket(data) {
    return request({
      url: `pool/ticket/resubmitTicket`,
      method: 'post',
      data
    })
  }


    //已回复工单更改状态
export function getReadTicket(data) {
    return request({
      url: `pool/ticket/readTicket`,
      method: 'post',
      data
    })
  }

  
    //个人工单列表
export function getPrivateTicket(data) {
    return request({
      url: `pool/ticket/getPrivateTicket`,
      method: 'post',
      data
    })
  }

    
    //工单详情
export function getTicketDetails(data) {
    return request({
      url: `pool/ticket/getTicketDetails`,
      method: 'post',
      data
    })
  }


      //结束工单
export function getEndTicket(data) {
    return request({
      url: `pool/ticket/endTicket`,
      method: 'post',
      data
    })
  }

  
      //文件下载
export function getDownloadFile() {
    return request({
      url: `pool/ticket/downloadFile`,
      method: 'get',
      
    })
  }


        //后台 查看工单详情
export function getDetails(data) {
    return request({
      url: `pool/ticket/bk/details`,
      method: 'post',
      data
    })
  }
//后台 回复工单
export function getReply(data) {
    return request({
      url: `pool/ticket/bk/respon`,
      method: 'post',
      data
    })
  }
  //后台工单列表
export function getTicketList(data) {
    return request({
      url: `pool/ticket/bk/list`,
      method: 'post',
      data
    })
  }

  //后台 关闭指定工单 
export function getBKendTicket(data) {
    return request({
      url: `pool/ticket/bk/endTicket`,
      method: 'post',
      data
    })
  }
 